petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexNaturalToGlobalBegin

Rearranges a Vector in the natural order to the Global order.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexNaturalToGlobalBegin(DM dm, Vec nv, Vec gv)

Collective on dm Many br

### Input Parameters

| dm | - The distributed DMPlex Many br
| nv | - The natural Vec Many br

### Output Parameters

gv -The global Vec Many br

Note: The user must call DMPlexSetUseNaturalSF(dm, PETSC_TRUE) before DMPlexDistribute(). Many br

Many br

### See Also

DMPlexDistribute(), DMPlexDistributeField(), DMPlexNaturalToGlobalBegin(),DMPlexGlobalToNaturalEnd()

Level:intermediate
Location:src/dm/impls/plex/plexnatural.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages